﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AttributeValueListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.AttributeValueListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:AttributeValueGridView runat="server" ID="Grid" OnDataRetriving="DataRetrievingHandler">
                <Columns>
                   <List:GridColumn Header="Value" PropertyName="Value" Width="50"/>
                   <List:GridColumn Header="Parent Value" PropertyName="ParentValue.Value" Width="50"/>
                </Columns>                
                <ActionColumns>
                    <List:SaveActionColumn Header="Save" Width="3"  CssClass="butt-save png cursor-hand" InactiveCssClass="button-invisible" />
                    <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand" InactiveCssClass="button-invisible" />                    
                    <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="button-invisible" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="button-invisible" />
                </ActionColumns>                
                <InputRow>
                  <List:TextBoxColumn PropertyName="Value" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-160" />
                  <List:AttributeValueDropDownColumn PropertyName="ParentValue" ViewPropertyName="ParentValue.Value" 
                    SelectColumns = "ParentValue.AttributeValueID" IsForceDataBind="true"
                    CssClass="textbox-column" ControlCssClass="grid-input select select-104" />                    
                </InputRow>
            </Grid:AttributeValueGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
