﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.OrderListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
      <td>
        <UI:ValidationSummary runat="server" ID="FiltersValidationSummary" />
        <Filter:FiltersArea runat="server" ID="Filters">
          <Filters>
            <UI:FilterTextBox runat="server" ID="SearchBox" />
            <UI:FilterDropDownList runat="server" ID="PaymentMethodFilter" PropertyName="PaymentType" CssClass="select-250" />
            <UI:FilterDropDownList runat="server" ID="PaymentOrderStatusFilter" PropertyName="PaymentOrderStatus" CssClass="select-250" />    
            <UI:FilterDateRange runat="server" ID="OrderPostedDateRange" PropertyName="PostedDate" CssClass="filter-date-range-250" RenderColons="false" />
          </Filters>
        </Filter:FiltersArea>
      </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:OrderGridView runat="server" ID="Grid" >
                <Columns>
                  <List:GridColumn Header="Email" PropertyName="Email" Width="33"/>
                  <List:GridColumn Header="Posted Date" PropertyName="PostedDate" Width="18"/>
                  <List:GridColumn Header="Status" PropertyName="PaymentOrderStatus.Name" Width="13"/>
                  <List:GridColumn Header="Payment Method" PropertyName="PaymentType.Name" Width="18"/>
                  <List:MoneyGridColumn Header="Total" PropertyName="GrandTotal" Width="10"/>
                  <List:GridColumn Header="PaymentOrderStatusID" PropertyName="PaymentOrderStatus.PaymentOrderStatusID" Visible="false"/>
                </Columns>
                <ActionColumns>
                    <List:OrderDetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-inactive png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:OrderGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
