﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductFileListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.ProductFileListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Grid:ProductFileGridView runat="server" ID="Grid" OnDataRetriving="DataRetrievingHandler">
        <Columns>
          <List:GridColumn Header="Title" PropertyName="Title" Width="30" />
          <Grid:IsPreviewStatusColumn runat="server" CssClass="action-column cursor-hand" EnabledCssClass="enabled"
            DisabledCssClass="disabled" Width="10" InactiveCssClass="inactive-action-column"
            Header="Is Preview" HeaderCssClass="" EnabledToolTip="Product file can be downloaded for free"
            DisabledTooltip="One should purchase the product to get this file" PropertyName="IsPreview" />
          <List:GridColumn Header="File" PropertyName="FileName" Width="30" />
        </Columns>
        <ActionColumns>
          <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
          <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
        </ActionColumns>
      </Grid:ProductFileGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" />
      <span class="grid-area-filter-item">
        <label class="line-label">
          <%=PageSize.FieldView%></label>
        <List:PageSizeChanger runat="server" ID="PageSize" />
      </span>
      <List:Paginator runat="server" ID="GridPaginator" />
    </td>
  </tr>
</table>
