﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TownListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.TownListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                    <UI:FilterDropDownList runat="server" ID="CountryFilter" AutoPostBack="true" />
                    <UI:FilterDropDownList runat="server" ID="CountyFilter" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:TownGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Town" PropertyName="Name" Width="30"/>
                    <List:GridColumn Header="County" PropertyName="County.Name" Width="30"/>
                    <List:GridColumn Header="Country" PropertyName="County.Country.Name" Width="30"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
                </ActionColumns>
            </Grid:TownGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
