﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ImagesSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.ImagesSettings" %>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer">
  <Settings>
    <Settings:IntSetting runat="server" ID="ProductImageMaxWidthField" SettingReference="ProductImageMaxWidth" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:IntSetting runat="server" ID="ProductImageMaxHeightField" SettingReference="ProductImageMaxHeight" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:IntSetting runat="server" ID="CategoryImageMaxWidthField" SettingReference="CategoryImageMaxWidth" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:IntSetting runat="server" ID="CategoryImageMaxHeightField" SettingReference="CategoryImageMaxHeight" ExtendedTemplate-HighlightOnFocus="true"/>
  </Settings>
</uc:SettingEditor>