﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GcheckoutSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.Payment.GcheckoutSettings" %>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer" Title="Google Checkout">
  <Settings>
    <Settings:FactoryDropDownSetting runat="server" ID="GcheckoutCurrencyID" SettingReference="GcheckoutCurrencyID" ExtendedTemplate-HighlightOnFocus="true" />
    <Settings:StringSetting runat="server" ID="GcheckoutPaymentUrl" SettingReference="GcheckoutPaymentUrl" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="GcheckoutMerchantID" SettingReference="GcheckoutMerchantID" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="GcheckoutMerchantKey" SettingReference="GcheckoutMerchantKey" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:IntSetting runat="server" ID="GoogleCheckoutBasketExpirationMinutes" SettingReference="GoogleCheckoutBasketExpirationMinutes" ExtendedTemplate-HighlightOnFocus="true"/>
  </Settings>
</uc:SettingEditor>