﻿<%@ Import namespace="Core.DBO.Entity.Helps"%>
<%@ Import Namespace="Core.Web" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SiteOptionHintsViewerControl.ascx.cs" 
Inherits="Core.Web.Admin.Controls.SiteOptionHintsViewerControl" EnableViewState="false"%>

<script type="text/javascript"> 

  function expandCollapse(id)
  {
    var area = $(id);
	
	  if (area)
	  {	
	    if (area.visible())
		  {
			  area.hide();
		  }
		  else
		  {
			  area.show();
		  }
		}
  }

</script>

<div class="grid-area" style="margin-top:40px;">
  <div class="faq">
    <span style="padding-left:12px; font-size:1.35em; font-weight:700; color:#A12800">Site option hints:</span>
    
  <%if (SiteOptionHintsList != null && SiteOptionHintsList.Count > 0)
    {%>
  
  <table style="margin-top:10px;">
  <%foreach (SiteOptionHint siteOptionHint in SiteOptionHintsList)
    {%>
    <tr>
      <td>
        <span style="font-weight:bold; padding-left: 9px;" id="<%="siteOptionHintTitle" + siteOptionHint.SiteOptionHintID%>" 
        onmouseover="setClass(this,'cursor-hand');" 
        onclick="javascript:expandCollapse('<%="siteOptionHintContent" + siteOptionHint.SiteOptionHintID%>');">
        <img alt="expand / collapse" src="<%=Global.ApplicationPath + "Files/images/user-placement_bullet.gif" %>"/>
        <a title="<%=siteOptionHint.ShortDescription%>" style="color:black;"> <%=siteOptionHint.Title%></a></span>
      </td>
    </tr>
    <tr id="<%="siteOptionHintContent" + siteOptionHint.SiteOptionHintID%>" style="display:none;">
      <td style="padding-left: 25px;">
        <%=siteOptionHint.Content%>
      </td>      
    </tr>
  <%}%>  
  </table>
  
  <%}%>  
    
    
  </div>
  
  <div class="clear">
    <!-- -->
  </div>
</div>