﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SettingsEditor.ascx.cs"
  Inherits="Core.Web.Admin.PageElements.SettingsEditor" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/PageElements/ValidationSummary.ascx" TagName="ValidationSummary" TagPrefix="uc" %>
<%@ Register Src="~/Admin/PageElements/ActionResultView.ascx" TagName="ActionResultView" TagPrefix="uc" %>
<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="0" cellpadding="0" border="0" class="data-area">
  <tbody>
    <tr>
      <td>
        <table cellspacing="15" cellpadding="0" border="0" class="data">
          <tbody>
            <tr>
              <td class="form1">
                <div class="error">
                  <uc:ValidationSummary runat="server" ID="Errors" />
                </div>
                <uc:ActionResultView runat="server" ID="ActionResultView" />
                <fieldset>
                  <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                    <Header>
                      <h3 class="delimiter">
                        <span><%=Title %></span></h3>
                    </Header>
                    <Body>
                      <div class="form-content">
                        <table class="line-form">
                          <tbody>
                            <asp:PlaceHolder runat="server" ID="SettingControlsArea" />
                          </tbody>
                        </table>
                      </div>
                    </Body>
                  </Control:CollapsableBox>
                </fieldset>
              </td>
            </tr>
            <tr>
              <td>
                <uc:SpanButton runat="server" id="Save" />
                <uc:SpanButton runat="server" id="Cancel" />                
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
              </td>
            </tr>
          </tbody>
        </table>
      </td>
    </tr>
  </tbody>
</table>
