﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SidePanel.ascx.cs" Inherits="Core.Web.Admin.PageElements.SidePanel" %>

<%@ Import Namespace="Core.Web" %>

<%@ Register Src="MenuSubItemsView.ascx" TagName="MenuSubItemsControl" TagPrefix="uc" %>
<%@ Register src="Notes.ascx" tagname="Notes" tagprefix="uc" %>

<td valign="top" class="main-layout-first-panel main-layout-first-panel-H" id="sidePanelWrapper">
  <a href="javascript:void(0);" id="sidePanelCollapseLink" class="main-layout-divider main-layout-divider-expanded"></a>
  <div class="main-layout-first-panel-content" id="sidePanelContent" style="display:none">
    <uc:MenuSubItemsControl ID="MenuSubItems" runat="server" />
    <div style="clear:both"></div>
    <img src="images/spacer.gif" alt="" class="spacer" />    
    <Accordions:Accordion runat="server" ID="Accordion">
      <Items>
        <Accordions:AccordionItem runat="server" ID="CalendarItem">
        <InnerContent>
            <div runat="server" id="CalendarContainer">
              <div></div>
            </div>
            <div style="clear:both; height: 0px; overflow:hidden;">&nbsp;</div>          
			  </InnerContent>
        </Accordions:AccordionItem>
        <Accordions:AccordionItem runat="server" ID="NotesItem">
          <InnerContent>          
            <Ajax:UpdatePanel ID="NotesUpdatePane" runat="server">
              <ContentTemplate>
                <uc:Notes ID="Notes" runat="server" />
              </ContentTemplate>
            </Ajax:UpdatePanel>
          </InnerContent>
        </Accordions:AccordionItem>
      </Items>
    </Accordions:Accordion>
    
    <script type="text/javascript">

      $(function() {
      
        $("#<%=CalendarContainer.ClientID%> div").datepicker($.datepicker.regional['<%=Language%>'] ,{ 
            onSelect: null,
            firstDay: 1,
            changeFirstDay: false
        });   

        slidePanel =  new Collapsor(
          {resizablePanel: '#sidePanelContent', trigger: '#sidePanelCollapseLink'}, 
          {expandedLinkClass: 'main-layout-divider-expanded', isExpanded: false, saveState: false}, 
          function() {
            if (this.getExpanded()) {
              $('#sidePanelWrapper').removeClass('main-layout-first-panel-H');
            }
            else {
              $('#sidePanelWrapper').addClass('main-layout-first-panel-H');              
            }
          }
        );
        
        $(mainMenu).bind('change', function() {
          slidePanel.setExpanded(true);
        });
      });
      
    </script>
    
  </div>
</td>

