﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AutoCompletionKeywordEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.AutoCompletionKeywordPages.AutoCompletionKeywordEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Editor/AutoCompletionKeywordEditor.ascx" 
TagName="AutoCompletionKeywordEditor" TagPrefix="uc" %>

<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedCategoriesEditor.ascx" 
TagName="AutoCompletedCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedContentPagesEditor.ascx" 
TagName="AutoCompletedContentPages" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedProductsEditor.ascx" 
TagName="AutoCompletedProducts" TagPrefix="uc" %>


<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="AutoCompletionKeywordEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:AutoCompletionKeywordTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:AutoCompletionKeywordTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AutoCompletionKeywordEditor ID="AutoCompletionKeywordEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AutoCompletionKeywordTabItem>
                                    <Tab:AutoCompletionKeywordTabItem runat="server" ID="CategoriesTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AutoCompletedCategories ID="AutoCompletedCategories" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AutoCompletionKeywordTabItem>
                                    <Tab:AutoCompletionKeywordTabItem runat="server" ID="ContentPagesTab" 
                                    Active="true" ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AutoCompletedContentPages ID="AutoCompletedContentPages" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AutoCompletionKeywordTabItem>
                                    <Tab:AutoCompletionKeywordTabItem runat="server" ID="ProductsTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AutoCompletedProducts ID="AutoCompletedProducts" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AutoCompletionKeywordTabItem>
                                </Items>
                            </Tab:AutoCompletionKeywordTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
