﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="SelectPaymentMethod.aspx.cs" Inherits="Core.Web.SelectPaymentMethod" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <Front:PopupActionResult runat="server" ID="ActionResultView" />
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
		<div class="FormSection">
			<div class="AreaContent">
				<h2><%=MetaDataConfig.Current.SelectPaymentMethodTitle%></h2>
				<div class="FormSection">									
					<div class="GroupedForm">
					  <asp:Repeater runat="server" ID="PaymentMethods">
					    <ItemTemplate>
                <div class="FormRow">
							    <dl>
								    <dt>
									    <input class="payment-method" name="<%#PaymentMethodField%>" id="paymentMethod<%#Eval("PaymentTypeID")%>" value="<%#Eval("PaymentTypeID")%>" type="radio" <%# (Container.ItemIndex == 0 ? "checked=\"checked\"" : "") %>/>
								    </dt>
								    <dd> 
									    <span class="InputLine InputLineSize-C">
										    <label class="InputLine LabelSize-CC payment-method" for="paymentMethod<%#Eval("PaymentTypeID")%>"><%#TextUtility.FormatText(Eval("Name") as String)%></label></span>
								    </dd>
							    </dl>
						    </div>
					    </ItemTemplate>
					  </asp:Repeater>
					</div>										
				</div>
			</div>
			<div class="FormControl FormControlIndent-B">
				<ul class="Groups">
					<li class="GroupA">
						<ul>
		          <li><Front:SpanButton runat="server" OnClick="BackHandler" ID="BackButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
		          <li><Front:SpanButton runat="server" OnClick="ProceedToPaymentHandler" ID="ProceedToPayment" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-D" /></li>													
						</ul>
					</li>
				</ul>
			</div>
		</div>
  </div>
</asp:Content>