﻿/* 

    Author: Vasili Baranov
    Date:   26.05.2009

*/

--Add columns with constraints to update existing rows
ALTER TABLE dbo.Currencies ADD SymbolIsBeforeValue bit NOT NULL Constraint SymbolIsBeforeValueNotNull DEFAULT 1

ALTER TABLE dbo.Currencies ADD CurrencySymbol nvarchar(50) NOT NULL Constraint CurrencySymbolNotNull DEFAULT ''

ALTER TABLE dbo.Currencies ADD SpacesNumber int NOT NULL Constraint SpacesNumberNotNull DEFAULT 0

--Delete these constraints. I think it is better if the exceptions are thrown if the server doesn't provide sufficient values

ALTER TABLE dbo.Currencies DROP Constraint SymbolIsBeforeValueNotNull

ALTER TABLE dbo.Currencies DROP Constraint CurrencySymbolNotNull

ALTER TABLE dbo.Currencies DROP Constraint SpacesNumberNotNull