﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DomainSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.DomainSettings" %>

<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/FileUpload/FileSetting.ascx" TagName="FileSetting" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer">
  <Settings>
    <Settings:StringSetting runat="server" ID="DomainField" SettingReference="Domain" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="CompanyNameField" SettingReference="CompanyName" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="StoreNameField" SettingReference="StoreName" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:CopyrightSetting runat="server" ID="CopyrightField" SettingReference="Copyright" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:BooleanSetting runat="server" ID="EnableSSLField" SettingReference="EnableSSL" ExtendedTemplate-HighlightOnFocus="true"/>
    <uc:FileSetting runat="server" ID="LogoField" SettingReference="Logo" />
  </Settings>  
</uc:SettingEditor>

