﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="AttributeRelatedItemsPage.aspx.cs" Inherits="Core.Web.Admin.Pages.AttributePages.AttributeRelatedItemsPage" Title="Untitled Page" %>

<%@ Import Namespace="Core.Web" %>

<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Binding/Attributes/AttributeCategoriesEditor.ascx" TagName="AttributeCategoriesEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="RelatedCategoriesUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tabs:TabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tabs:TabItem runat="server" ID="CategoriesTab" Title="Related Categories">
                                        <InnerContent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AttributeCategoriesEditor ID="RelatedCategories" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </InnerContent>
                                    </Tabs:TabItem >                                                                      
                                </Items>
                            </Tabs:TabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
